Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
pillow blocking imaging
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Mgiese
Veteran
Veteran


Joined: 23 Mar 2005
Posts: 1385
Location: indiana

PostPosted: Wed Jun 05, 2013 9:18 pm    Post subject: pillow blocking imaging Reply with quote

hi there, i have some problems when updating world... i uninstalled imaging to overcome the block but it did not help

[code][blocks B ] dev-python/pillow ("dev-python/pillow" is blocking dev-python/imaging-1.1.7-r2)
[blocks B ] dev-python/imaging ("dev-python/imaging" is blocking dev-python/pillow-2.0.0)

Total: 117 packages (113 upgrades, 4 new), Size of downloads: 282,470 kB
Conflict: 2 blocks (2 unsatisfied)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

(dev-python/pillow-2.0.0::gentoo, ebuild scheduled for merge) pulled in by
dev-python/pillow[python_targets_python2_7(-)] required by (virtual/python-imaging-1::gentoo, ebuild scheduled for merge)
dev-python/pillow[python_targets_python3_2(-)] required by (virtual/python-imaging-1::gentoo, ebuild scheduled for merge)

(dev-python/imaging-1.1.7-r2::gentoo, ebuild scheduled for merge) pulled in by
dev-python/imaging required by (net-print/hplip-3.12.10a::gentoo, installed)
dev-python/imaging required by (dev-python/reportlab-2.5::gentoo, installed)
dev-python/imaging[python_targets_python2_7(-)] required by (virtual/python-imaging-1::gentoo, ebuild scheduled for merge)[code]

i did be happy if someone tells me how to fix the block, thanks in advance[/code]
_________________
I do not have a Superman complex, for I am God not Superman :D
Back to top
View user's profile Send private message
pums974
Tux's lil' helper
Tux's lil' helper


Joined: 27 Feb 2010
Posts: 78

PostPosted: Thu Jun 06, 2013 8:21 am    Post subject: Reply with quote

As i understand it, dev-python/pillow is replacing dev-python/imaging for python-3

To solve this, il simply removed dev-python/imaging and use dev-python/pillow and virtual/python-imaging instead.
I also had to change some of my custom ebuild, to replace dev-python/imaging by virtual/python-imaging

I'm not sure of me, but it seems to work here.
Back to top
View user's profile Send private message
Voyageur
Developer
Developer


Joined: 06 Mar 2005
Posts: 342
Location: Paris, France

PostPosted: Thu Jun 06, 2013 5:49 pm    Post subject: Reply with quote

Most packages still depend on dev-python/imaging and not the virtual, as they first need to be fixed (tracker bug). In the meantime, a workaround was listed here:
Code:
# echo "virtual/python-imaging -python_targets_python3_2" >> /etc/portage/package.use


If you explicitely need imaging for python-3.2, this gets a bit more complicated, but in that case you are probably waiting for the new module (pillow)
_________________
Routinely breaking NX, GNUstep, net-ftp, miscellaneous (llvm, filezilla, rdesktop, chromium, ...) packages
Back to top
View user's profile Send private message
sidamos
Apprentice
Apprentice


Joined: 16 Dec 2007
Posts: 176

PostPosted: Sun Sep 15, 2013 9:28 am    Post subject: Reply with quote

I am having the same issue:

Code:

[blocks B      ] dev-python/pillow ("dev-python/pillow" is blocking dev-python/imaging-1.1.7-r2)
[blocks B      ] dev-python/imaging ("dev-python/imaging" is blocking dev-python/pillow-2.0.0-r1)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (dev-python/pillow-2.0.0-r1::gentoo, ebuild scheduled for merge) pulled in by
    dev-python/pillow[tk?,python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,python_targets_python3_3(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-)] (dev-python/pillow[python_targets_python2_7(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-)]) required by (virtual/python-imaging-2::gentoo, ebuild scheduled for merge)

  (dev-python/imaging-1.1.7-r2::gentoo, installed) pulled in by
    dev-python/imaging required by (net-print/hplip-3.12.10a::gentoo, installed)


I already did:
Code:

echo "virtual/python-imaging -python_targets_python3_2 -python_targets_python3_3" >> /etc/portage/package.use
Back to top
View user's profile Send private message
psdasilva
Apprentice
Apprentice


Joined: 03 Sep 2005
Posts: 236

PostPosted: Mon Sep 16, 2013 2:40 am    Post subject: Reply with quote

sidamos: Try next versions of hplip, for ex. hplip-3.13.18.
Back to top
View user's profile Send private message
Tony0945
Guru
Guru


Joined: 25 Jul 2006
Posts: 421

PostPosted: Wed Sep 18, 2013 11:30 pm    Post subject: Reply with quote

Did you mean 3.13.8? That's the latest package that I find and it's unstable. The only stable package is 3.12.10.a
Stable packages shouldn't break other stable packages or what does "stable" mean?

There are a lot of updates to my world set that don't depend on this, but portage won't run even with the --keep-going flag. Is there some other way to update world without running an unstable printer driver?
Back to top
View user's profile Send private message
Perdignus
n00b
n00b


Joined: 29 Mar 2013
Posts: 2
Location: Sheboygan

PostPosted: Sun Sep 22, 2013 3:31 pm    Post subject: Reply with quote

I'm not sure if it helps, or applies in your situation but I was also having a recent fight with the pillow & imaging issue you've described in your scenario. I eventually uninstalled both dev-python/pillow and dev-python/imaging. I was then able to perform my world upgrade after which I ended up with dev-python/pillow and virtual/python-imaging instead of dev-python/imaging.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 2458
Location: Germany

PostPosted: Mon Sep 23, 2013 12:16 am    Post subject: Reply with quote

Tony0945 wrote:
Did you mean 3.13.8?
[....]
Yes ~net-print/hplip-3.13.8
See Bug 484282
Back to top
View user's profile Send private message
freedomeagle1967
n00b
n00b


Joined: 26 Aug 2007
Posts: 47
Location: Minnesota

PostPosted: Wed Sep 25, 2013 2:23 am    Post subject: Reply with quote

upgrading to hplip-3.13.8 Solved my problem... Thank You!!! :D
_________________
Scott
Peace to You and Yours
Back to top
View user's profile Send private message
eccerr0r
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 4409
Location: USA

PostPosted: Fri Sep 27, 2013 10:53 pm    Post subject: Reply with quote

Thanks, ran into this problem as well. Hope 3.13.8 is stable (unlike 3.8.13, i.e. linux kernel...)
_________________
Intel Core i7 2700K@ 4.1GHz/HD3000 graphics/8GB DDR3/180GB SSD
What am I supposed to be advocating?
Back to top
View user's profile Send private message
Tony0945
Guru
Guru


Joined: 25 Jul 2006
Posts: 421

PostPosted: Sat Sep 28, 2013 12:42 am    Post subject: Reply with quote

Tried all the things suggested. Finally unmasked hplip-3.13.8 and the blockers disappeared. I haven't tested it all out but I hope I didn't screw up hplip now.
Back to top
View user's profile Send private message
eccerr0r
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 4409
Location: USA

PostPosted: Tue Oct 22, 2013 10:51 pm    Post subject: Reply with quote

Looks like 3.13.8 disappeared from portage and need to move on, 3.13.9 and 3.13.10 are available.

I wonder when hplip-3.13 will be stabilized ...
_________________
Intel Core i7 2700K@ 4.1GHz/HD3000 graphics/8GB DDR3/180GB SSD
What am I supposed to be advocating?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum